io.stdout:setvbuf("no")

quad = {}
quad.x = 0
quad.y = 0
quad.sx = 1
quad.sy = 1
quad.r = 0
quad.w = 256
quad.h = 128
quad.ox = quad.w/2
quad.oy = quad.h/2
quad.r = 0

function love.update(dt)
	quad.x, quad.y = love.mouse.getPosition()
end

function love.draw()
   love.graphics.translate(-quad.ox, -quad.oy)
   love.graphics.scale(quad.sx, quad.sy)
   love.graphics.rectangle("fill", quad.x-quad.ox, quad.y-quad.oy, quad.w, quad.h)
end

function love.wheelmoved( x, y )
	quad.sx = quad.sx + 0.01*y
	quad.sy = quad.sy + 0.01*y
	quad.ox = (quad.w*quad.sx)/2
	quad.oy = (quad.h*quad.sy)/2
	quad.r = quad.r + 0.01*x
end
